<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <!--<div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>-->
						    <h4 class="card-title">
						       <span class="saldo">SUMMARY PENGAJUAN PENDAMPING</span>
						    </h4>
						    <br/>
					</div>
        			<div class="card-body">
        			<mat-accordion>
					  <!-- <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"> -->
					  <mat-expansion-panel  [disabled]="true" [expanded]="true">
					    <mat-expansion-panel-header>
					      <mat-panel-title>
					        <span class="textH">FILTER PENCARIAN</span>
					      </mat-panel-title>
					      <!-- <mat-panel-description>
					        Currently I am {{panelOpenState ? 'open' : 'closed'}}
					      </mat-panel-description> -->
					    </mat-expansion-panel-header>
								<div class="row">
							    	<div class="col-2"  [formGroup]="editForm">
							            <div class="input-group mb-3" >
							                  <select class="form-control textH" name="ppd" formControlName="ppd" id="field_sistem" (change)="onChange($event.target.value)">
							                      <option class="textH" value="" selected disabled>PILIH PENCARIAN</option>
							                      <option value="tgl" class="textH">Tanggal pengajuan</option>
							                      <option value="bln" class="textH">Bulan pengajuan</option>
							                  </select>
										</div>
							         </div>
							        <div class="col-md-2">
							            <div class="input-group mb-4">
							                 <span *ngIf="sPpd">
							                	<input type="date" class="form-control textH" name="date" [(ngModel)]="date" (ngModelChange)="searchPpd('ppdDate')" required/>
											 </span> 
											 <span *ngIf="!sPpd">
							               		 <input type="month" class="form-control textH" name="month" [(ngModel)]="month" (ngModelChange)="searchPpd('ppdMonth')" required/>
											 </span>
							            </div>
							        </div>
							        <div class="col-md-5">
									</div>
							        <div class="col-md-3" [formGroup]="editForm">
										<div class="input-group">
							                <label class="form-control textH">Pendamping : </label>
											<select class="form-control textH" id="field_pendamping" name="pendamping" formControlName="pendamping" (change)="onChangePendamping($event.target.value)">
						                         <option *ngFor="let pendamping of pendampings" [value]="pendamping.id">{{pendamping.nama}}</option>
						                    </select>
						                    <button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchpendamping()">
							                        <i class="material-icons">search</i>
							                </button>
										</div>
									</div>
							    </div>
					  </mat-expansion-panel>
					</mat-accordion>
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <!--<div class="table-responsive-sm" *ngIf="pengajuans?.length > 0">-->
			            <div class="table-responsive-sm">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)" class="textH">
							            <td scope="col" class="d-sm-table-cell"><span>BULAN PENGAJUAN</span></td>
							            <td scope="col" class="d-sm-table-cell"><span>PENDAMPING</span></td>
							           	<td scope="col" class="d-sm-table-cell text-center">TOTAL PENGAJUAN</td>
							            <td scope="col" class="d-sm-table-cell text-center">PROSES</td>
							            <td scope="col" class="d-sm-table-cell text-center">SUBMIT</td>
							            <td scope="col" class="d-sm-table-cell text-center">COMPLETE</td>
							            <td scope="col" class="d-sm-table-cell text-center">REJECT</td>
							            <td scope="col" class="d-sm-table-cell text-center">INVOICE DONE</td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let pengajuan of summary let i= index" class="textB">
									    <!--<td class="d-none d-sm-table-cell">{{((page-1) * itemsPerPage)+(i+1) }}</td>-->
						                <td class="d-sm-table-cell">{{pengajuan.bulan | date:'MMMM yyyy'}}</td>
						                <td class="d-sm-table-cell">{{pengajuan.namaPendamping}}</td>
						                <td class="d-sm-table-cell text-center">{{pengajuan.jmlPengajuan}}</td>
						                <td class="d-sm-table-cell text-center">{{pengajuan.jmlProses}}</td>
						                <td class="d-sm-table-cell text-center">{{pengajuan.jmlSubmit}}</td>
						                <td class="d-sm-table-cell text-center">{{pengajuan.jmlComplete}}</td>
						                <td class="d-sm-table-cell text-center">{{pengajuan.jmlReject}}</td>
						                <td class="d-sm-table-cell text-center">{{pengajuan.jmlPembayaran}}</td>
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>